Search This Blog

Sunday, October 17, 2010

Custom Firmware 5.50 Prometheus-2 for PSP-2000 and PSP-1000

If you had been following my PSP update, it is finally time to put in a new firmware to support those games that requires 6.30+  firmware. In any case, you will need to have 5.50 Gen-D3 in order to upgrade to this firmware.

You scan grab 5.50 Gen-D3 from here:

Grab 5.50 Prometheus 2 upgrade here:

No comments:

Amazon Gift Cards!

Thanks for viewing!

Copyright © 2008, All rights reserved.